- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6FontDescriptorPacket Class Reference

`#include <WP6FontDescriptorPacket.h>`

Inheritance diagram for WP6FontDescriptorPacket:

## Public Member Functions
| WP6FontDescriptorPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6FontDescriptorPacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
const librevenge::RVNGString & | getFontName () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual void | parse (WP6Listener *) const
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
void | _readFontName (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| WP6FontDescriptorPacket (const WP6FontDescriptorPacket &)
WP6FontDescriptorPacket & | operator= (const WP6FontDescriptorPacket &)

## Private Attributes
unsigned short | m_characterWidth
unsigned short | m_ascenderHeight
unsigned short | m_xHeight
unsigned short | m_descenderHeight
unsigned short | m_italicsAdjust
unsigned char | m_primaryFamilyId
unsigned char | m_primaryFamilyMemberId
unsigned char | m_scriptingSystem
unsigned char | m_primaryCharacterSet
unsigned char | m_width
unsigned char | m_weight
unsigned char | m_attributes
unsigned char | m_generalCharacteristics
unsigned char | m_classification
unsigned char | m_fill
unsigned char | m_fontType
unsigned char | m_fontSourceFileType
unsigned short | m_fontNameLength
librevenge::RVNGString | m_fontName

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6FontDescriptorPacket::WP6FontDescriptorPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6FontDescriptorPacket::~WP6FontDescriptorPacket | ( |  | ) |

WP6FontDescriptorPacket::WP6FontDescriptorPacket | ( | const WP6FontDescriptorPacket & |  | ) |
| private

## Member Function Documentation

void WP6FontDescriptorPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

void WP6FontDescriptorPacket::_readFontName | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| private

Referenced by _readContents().

const librevenge::RVNGString& WP6FontDescriptorPacket::getFontName | ( |  | ) | const
| inline

Referenced by WP6Listener::getFontNameForPID(), WP6CharacterGroup_FontFaceChangeSubGroup::parse(), and WP6CharacterGroup_FontFaceChangeSubGroup::WP6CharacterGroup_FontFaceChangeSubGroup().

WP6FontDescriptorPacket& WP6FontDescriptorPacket::operator= | ( | const WP6FontDescriptorPacket & |  | ) |
| private

## Member Data Documentation

unsigned short WP6FontDescriptorPacket::m_ascenderHeight
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_attributes
| private

Referenced by _readContents().

unsigned short WP6FontDescriptorPacket::m_characterWidth
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_classification
| private

Referenced by _readContents().

unsigned short WP6FontDescriptorPacket::m_descenderHeight
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_fill
| private

Referenced by _readContents().

librevenge::RVNGString WP6FontDescriptorPacket::m_fontName
| private

Referenced by _readFontName(), and getFontName().

unsigned short WP6FontDescriptorPacket::m_fontNameLength
| private

Referenced by _readContents(), and _readFontName().

unsigned char WP6FontDescriptorPacket::m_fontSourceFileType
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_fontType
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_generalCharacteristics
| private

Referenced by _readContents().

unsigned short WP6FontDescriptorPacket::m_italicsAdjust
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_primaryCharacterSet
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_primaryFamilyId
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_primaryFamilyMemberId
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_scriptingSystem
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_weight
| private

Referenced by _readContents().

unsigned char WP6FontDescriptorPacket::m_width
| private

Referenced by _readContents().

unsigned short WP6FontDescriptorPacket::m_xHeight
| private

Referenced by _readContents().

The documentation for this class was generated from the following files:

- WP6FontDescriptorPacket.h
- WP6FontDescriptorPacket.cpp